Skip to main content
`Ctrl`+`K`

# DMTSSetIFunctionLocal

set a local implicit function evaluation function. This function is called with local vector containing the local vector information PLUS ghost point information. It should compute a result for all local elements and `DM` will automatically accumulate the overlapping values.

## Synopsis

    #include "petscts.h"
    PetscErrorCode DMTSSetIFunctionLocal(DM dm, PetscErrorCode (*func)(DM dm, PetscReal t, Vec u, Vec udot, Vec F, PetscCtx ctx), PetscCtx ctx)

Logically Collective

## Input Parameters

- dm - `DM` to associate callback with

- func - local function evaluation

- ctx - context for function evaluation

## Calling sequence of `func`

- dm - the `DM`

- t - the current time

- u - the current solution

- udot - the derivative of `u`

- F - output, the computed implicit function

- ctx - the application context for the function

## See Also

TS: Scalable ODE and DAE Solvers, `DM`, `DMTSGetIFunctionLocal()`, `DMTSSetIFunction()`, `DMTSSetIJacobianLocal()`

## Level

beginner

## Location

src/ts/utils/dmlocalts.c

## Examples

src/ts/tutorials/ex45.c
src/ts/tutorials/ex53.c
src/ts/tutorials/ex30.c
src/ts/tutorials/ex18.c
src/ts/tutorials/ex47.c
src/ts/tutorials/ex48.c
src/ts/tutorials/ex46.c
src/ts/tutorials/ex76.c
src/ts/tutorials/ex77.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages